Subject: bug#18986: Design bug in browse-url.el: browse-url-can-use-xdg-open's logic uses overly strict assumption

From: Stefan Monnier <[email-masked]>
Date: Sat, 08 Nov 2014 13:05:54 -0500

> It used to be that xdg-open just called the desktop version,
> i.e. gnome-open, kde-open and so on.  It is not sufficient that xdg-open
> exists for the most part.  We can't cater for every window manager out
> there, we have to go by the majority.  If you can make xdg-open work, then
> making Emacs use it should be easy.

The problem was specifically that just having xdg-open installed doesn't
guarantee that the user has configured it.
The code currently approximate "is it configured" by checking the
desktop environment in use.  It's clearly a gross hack (or a crude
approximation), so if you know a better way, we'd like to hear it.

        Stefan